xquery version "3.1";

import module namespace kmg-edition-nav="https://mollenhauer-edition.de/ns/edition-nav" at "edition-nav.xqm";

declare namespace request="http://exist-db.org/xquery/request";
declare option exist:serialize "method=xhtml media-type=text/html";

declare variable $DocTitle := request:get-parameter("DocTitle_parameter", ());

declare variable $decade_button := request:get-parameter("decade_button_parameter", ());

if (exists($DocTitle)) then kmg-edition-nav:single-title-data($DocTitle)
else if (exists($decade_button)) then kmg-edition-nav:decade-data($decade_button)
else kmg-edition-nav:all-data()